Subject: [alpine-aports] Mongodb package

From: Filipp Andronov <[email-masked]>
Date: Sat, 16 May 2015 21:41:38 +0700

Hello,

Here is mongodb 3.0.2 package with dependencies:

Status: builds fine
Testing: I've only done smoke tests - install package into a fresh Alpine
docker container, run mongodb and made a few queries.

Things to be complete:
1. Build is only for x86_64, because I have to made a few hacks in code.
Most critical one is __ELF_NATIVE_CLASS
2. No tc-malloc. It doesnt build, so system allocator instead. Im working
on gpreftools package...
3. No heap usage statistics: always returns 0. It is broken in mongodb for
64bit architecture and also musl mallocinfo is not compatible with glibc.
So I just comment out heap reporting code, see comments in APKBUILD
4. Use more system libs, yaml & boost are from the top of my mind. Boost
make compilation fails, but should be easy to fix
5. Enable mongodb tests during build. Im just not sure how that should be
done in Alpine, i.e _where_ in build lifecycle tests should run

Please let me know if packages need to be improved. That is my first alpine
package, so I might break some dev guidelines.

-- 
Thanks and regards,
Philip Andronov
------------------------------------------
SaaS development team leader,
atlassian.com

Mobile: +84 (169) 6310357
Skype: filipp.andronov
Linkedin: http://ru.linkedin.com/pub/philip-andronov/32/369/63a